Name:           frogr
Version:        0.6.1
Summary:        Flickr Remote Organizer for GNOME
Summary(de):    Flickr-Verwaltung für GNOME
Release:        1%{?dist}

Group:          Applications/Internet
License:        GPLv3
URL:            http://live.gnome.org/Frogr
Source0:        http://download.gnome.org/sources/%{name}/0.6/%{name}-%{version}.tar.xz
BuildRequires:  gettext
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  libsoup-devel
BuildRequires:  libxml2-devel
BuildRequires:  libexif-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gnome-doc-utils
#Explicitly Requires: gvfs since we need gtk_show_uri to be able to open a
#web browser when associating frogr with a flickr account (this is how
#application/flickr pairing works, through flickr.com)
Requires:       gvfs

%description
Frogr is a small application for the GNOME desktop that allows users
to manage their accounts in the Flickr image hosting website. It
supports all the basic tasks, including uploading pictures, adding
descriptions, setting tags and managing sets.

%description -l de
Frogr ist eine Anwendung für die GNOME-Arbeitsumgebung zur Verwaltung der
Konten des Flickr-Bilderdienstes. Unterstützt werden sämtliche grundlegende
Aufgaben, wie das Hochladen von Bildern, Hinzufügen von Beschreibungen,
Setzen von Markierungen und Verwalten von Alben.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/frogr.1.*
%doc README NEWS COPYING AUTHORS THANKS TODO MAINTAINERS TRANSLATORS


%changelog

* Sat Aug 20 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.6.1-1
- Update to bugfix release 0.6.1

* Tue Aug 16 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.6-1
- Bumped version to 0.6
- Added gnome-doc-utils dependency
- Removed %%defattr
- Removed obsolete patches

* Sun Jul 03 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.5-4
- Added intltool in BuildRequires
- Removed minimum required version from BuildRequires
- Applied some patches from upstream

* Wed Jun 01 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.5-3
- Removed unneeded stuff from %%changelog

* Tue May 31 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.5-2
- Picked the spec file from Frogr's Git repository
- Removed help files for the time being
- Added German summary and description

* Fri May 27 2011 Mario Sanchez Prada <msanchez at, igalia.com> 0.5-1
- New upstream release

* Sat Feb 05 2011 Mario Sanchez Prada <msanchez at, igalia.com> 0.4-1
- New upstream release

* Wed Dec 22 2010 Mario Sanchez Prada <msanchez at, igalia.com> 0.3-1
- Updated for 0.3

* Mon Oct 12 2009 Mario Sanchez Prada <msanchez at, igalia.com> 0.2-1
- Updated for 0.2

* Sat Aug 22 2009 Adrian Perez <aperez at, igalia.com> 0.1.1-1
- First packaged release
